---
title: "ListScimTokens"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.ezghcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: EZGH Cloud organizations and IAM › scim

`GET /v1/organizations/{orgId}/scim/tokens`

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `sessionCookie`, apiKey, in cookie
- `oauth`, http, header `Authorization`

## Path parameters

- `ListScimTokens.path.orgId` (string, required)

## Query parameters

- `ListScimTokens.query.limit` (string, optional)
  - pattern `^[+-]?\d*\.?\d+(?:[Ee][+-]?\d+)?$`
- `ListScimTokens.query.cursor` (string, optional)

## Code samples

### cURL

```curl
curl --request GET \
  --url https://orgs.ezghcloud.com/v1/organizations/string/scim/tokens \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://orgs.ezghcloud.com/v1/organizations/string/scim/tokens';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://orgs.ezghcloud.com/v1/organizations/string/scim/tokens"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Success

#### Example

```json
{
  "scimTokens": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "prefix": "string",
      "createdBy": "string",
      "creator": {
        "type": "user",
        "id": "string",
        "displayName": "string"
      },
      "createdAt": "string",
      "lastUsedAt": "string"
    }
  ],
  "nextCursor": "string"
}
```

- `ListScimTokens.response.200.scimTokens` (array<object>, required)
  - `ListScimTokens.response.200.scimTokens.id` (string, required)
  - `ListScimTokens.response.200.scimTokens.organizationId` (string, required)
  - `ListScimTokens.response.200.scimTokens.name` (string, required)
  - `ListScimTokens.response.200.scimTokens.prefix` (string, required)
  - `ListScimTokens.response.200.scimTokens.createdBy` (string, required)
  - `ListScimTokens.response.200.scimTokens.creator` (object, required)
    - `ListScimTokens.response.200.scimTokens.creator.type` (string, required)
      - one of `"user"`, `"oauth"`, `"apiKey"`
    - `ListScimTokens.response.200.scimTokens.creator.id` (string, required)
    - `ListScimTokens.response.200.scimTokens.creator.displayName` (any of, required)
      - any of: `string`, `null`
  - `ListScimTokens.response.200.scimTokens.createdAt` (string, required)
  - `ListScimTokens.response.200.scimTokens.lastUsedAt` (any of, required)
    - any of: `string`, `null`
- `ListScimTokens.response.200.nextCursor` (any of, required)
  - any of: `string`, `null`

### 400

InvalidCursor | InvalidRequest

#### Example

```json
{
  "error": {
    "code": "invalid_cursor",
    "message": "string"
  }
}
```

Any of:

- [InvalidCursorEncoded](/orgs-api/schemas/InvalidCursorEncoded/)
- [InvalidRequestEncoded](/orgs-api/schemas/InvalidRequestEncoded/)

### 401

Unauthenticated

#### Example

```json
{
  "error": {
    "code": "unauthenticated",
    "message": "string"
  }
}
```

- `ListScimTokens.response.401.error` (object, required)
  - `ListScimTokens.response.401.error.code` (string, required)
    - one of `"unauthenticated"`
  - `ListScimTokens.response.401.error.message` (string, required)

### 403

AccessDenied | ForbiddenOrigin

#### Example

```json
{
  "error": {
    "code": "access_denied",
    "message": "string"
  }
}
```

Any of:

- [AccessDeniedEncoded](/orgs-api/schemas/AccessDeniedEncoded/)
- [ForbiddenOriginEncoded](/orgs-api/schemas/ForbiddenOriginEncoded/)

### 404

NotFound

#### Example

```json
{
  "error": {
    "code": "not_found",
    "message": "string"
  }
}
```

- `ListScimTokens.response.404.error` (object, required)
  - `ListScimTokens.response.404.error.code` (string, required)
    - one of `"not_found"`
  - `ListScimTokens.response.404.error.message` (string, required)

### 429

TooManyRequests

#### Example

```json
{
  "error": {
    "code": "too_many_requests",
    "message": "string"
  }
}
```

- `ListScimTokens.response.429.error` (object, required)
  - `ListScimTokens.response.429.error.code` (string, required)
    - one of `"too_many_requests"`
  - `ListScimTokens.response.429.error.message` (string, required)

### 500

InternalError

#### Example

```json
{
  "error": {
    "code": "internal_error",
    "message": "string"
  }
}
```

- `ListScimTokens.response.500.error` (object, required)
  - `ListScimTokens.response.500.error.code` (string, required)
    - one of `"internal_error"`
  - `ListScimTokens.response.500.error.message` (string, required)

### 503

Unavailable

#### Example

```json
{
  "error": {
    "code": "unavailable",
    "message": "string"
  }
}
```

- `ListScimTokens.response.503.error` (object, required)
  - `ListScimTokens.response.503.error.code` (string, required)
    - one of `"unavailable"`
  - `ListScimTokens.response.503.error.message` (string, required)


Source: https://docs.ezghcloud.com/orgs-api/scim/ListScimTokens/index.md
